Bug 1299937 - [abrt] octave: memset(): octave-gui killed by SIGSEGV
[abrt] octave: memset(): octave-gui killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: octave (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:54eb43cec96d07fdf18c1535a1f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-19 10:10 EST by Vinicius Reis
Modified: 2016-12-20 13:00 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:00:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (177.67 KB, text/plain)
2016-01-19 10:10 EST, Vinicius Reis
no flags Details
File: cgroup (200 bytes, text/plain)
2016-01-19 10:10 EST, Vinicius Reis
no flags Details
File: core_backtrace (57.75 KB, text/plain)
2016-01-19 10:10 EST, Vinicius Reis
no flags Details
File: dso_list (17.09 KB, text/plain)
2016-01-19 10:10 EST, Vinicius Reis
no flags Details
File: environ (3.29 KB, text/plain)
2016-01-19 10:10 EST, Vinicius Reis
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-19 10:10 EST, Vinicius Reis
no flags Details
File: maps (85.18 KB, text/plain)
2016-01-19 10:10 EST, Vinicius Reis
no flags Details
File: mountinfo (3.71 KB, text/plain)
2016-01-19 10:10 EST, Vinicius Reis
no flags Details
File: namespaces (85 bytes, text/plain)
2016-01-19 10:10 EST, Vinicius Reis
no flags Details
File: open_fds (678 bytes, text/plain)
2016-01-19 10:10 EST, Vinicius Reis
no flags Details
File: proc_pid_status (1.01 KB, text/plain)
2016-01-19 10:10 EST, Vinicius Reis
no flags Details
File: var_log_messages (354 bytes, text/plain)
2016-01-19 10:10 EST, Vinicius Reis
no flags Details

  None (edit)
Description Vinicius Reis 2016-01-19 10:10:08 EST
Description of problem:
Crashed while viewing an histogram (generated by hist() on an array of 7.200.000 integers). The histogram was successfully generated, crashed while adjusting axis in view window.

Version-Release number of selected component:
octave-4.0.0-8.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/octave/4.0.0/exec/x86_64-redhat-linux-gnu/octave-gui ./histogram_script.m
crash_function: memset
executable:     /usr/libexec/octave/4.0.0/exec/x86_64-redhat-linux-gnu/octave-gui
global_pid:     4466
kernel:         4.3.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 memset at /usr/include/bits/string3.h:90
 #1 _mesa_meta_begin at drivers/common/meta.c:472
 #2 brw_meta_updownsample at brw_meta_updownsample.c:121
 #3 intel_miptree_updownsample at intel_mipmap_tree.c:2111
 #4 intel_renderbuffer_downsample at intel_fbo.c:80
 #5 intel_map_renderbuffer at intel_fbo.c:152
 #6 map_attachment at swrast/s_renderbuffer.c:578
 #7 _swrast_map_renderbuffers at swrast/s_renderbuffer.c:652
 #8 _swrast_render_start at swrast/s_context.c:895
 #9 _swsetup_RenderStart at swrast_setup/ss_context.c:202
Comment 1 Vinicius Reis 2016-01-19 10:10:20 EST
Created attachment 1116203 [details]
File: backtrace
Comment 2 Vinicius Reis 2016-01-19 10:10:22 EST
Created attachment 1116204 [details]
File: cgroup
Comment 3 Vinicius Reis 2016-01-19 10:10:25 EST
Created attachment 1116205 [details]
File: core_backtrace
Comment 4 Vinicius Reis 2016-01-19 10:10:28 EST
Created attachment 1116206 [details]
File: dso_list
Comment 5 Vinicius Reis 2016-01-19 10:10:30 EST
Created attachment 1116207 [details]
File: environ
Comment 6 Vinicius Reis 2016-01-19 10:10:32 EST
Created attachment 1116208 [details]
File: limits
Comment 7 Vinicius Reis 2016-01-19 10:10:36 EST
Created attachment 1116209 [details]
File: maps
Comment 8 Vinicius Reis 2016-01-19 10:10:38 EST
Created attachment 1116210 [details]
File: mountinfo
Comment 9 Vinicius Reis 2016-01-19 10:10:40 EST
Created attachment 1116211 [details]
File: namespaces
Comment 10 Vinicius Reis 2016-01-19 10:10:43 EST
Created attachment 1116212 [details]
File: open_fds
Comment 11 Vinicius Reis 2016-01-19 10:10:45 EST
Created attachment 1116213 [details]
File: proc_pid_status
Comment 12 Vinicius Reis 2016-01-19 10:10:47 EST
Created attachment 1116214 [details]
File: var_log_messages
Comment 13 Vinicius Reis 2016-01-19 10:31:21 EST
Sorry, the description of problem has an error. The actual integer array length is only 6 elements (not 7M as previously reported). The array is small as x = [
30, 31, 192, 254, 332, 396].
Try to manipulate hist(x) crashed octave, triggered this issue.
Comment 14 Fedora Admin XMLRPC Client 2016-01-20 09:36:30 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 15 Orion Poplawski 2016-04-04 16:18:57 EDT
Please test with https://bodhi.fedoraproject.org/updates/FEDORA-2016-f2a69b7ba7
Comment 16 Fedora End Of Life 2016-11-24 10:03:39 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2016-12-20 13:00:34 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.